# Configurable Payment Retry Configurable Payment Retry APIs use basic authentication. The user name is the email address that you use for logging in Zuora. The password is the API token that is shown in the settings of Configurable Payment Retry. Click the drop-down arrow at the end of an endpoint to display the full endpoint. To learn more about the configuration and usage of Configurable Payment Retry, see [Configurable Payment Retry](https://knowledgecenter.zuora.com/Zuora_Payments/Configure_payment_orchestration/Payment_Retry/Configurable_Payment_Retry). ## List the active retry cycles for an invoice - [GET /api/v1/payments/active_invoice_cycle_information/{invoice_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getactiveinvoicecycle.md): Gets information of active retry cycles that have not been completed for an invoice in Configurable Payment Retry. ## List the active retry cycles for a debit memo - [GET /api/v1/payments/active_debit_memo_cycle_information/{debit_memo_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getactivedebitmemocycle.md): Gets information of active retry cycles that have not been completed for a debit memo in Configurable Payment Retry. ## List the active retry cycles for an account - [GET /api/v1/payments/active_account_cycle_information/{account_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getactiveaccountcycle.md): Gets information of active retry cycles that have not been completed for an account in Configurable Payment Retry. ## List the retry cycle history for an invoice - [GET /api/v1/payments/invoice_cycle_history/{invoice_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getinvoicecyclehistory.md): Gets information of all retry cycles for an invoice in Configurable Payment Retry. ## List the retry cycle history for a debit memo. - [GET /api/v1/payments/debit_memo_cycle_history/{debit_memo_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getdebitmemocyclehistory.md): Gets information of all retry cycles for a debit memo in Configurable Payment Retry. ## List the retry cycle history for an account - [GET /api/v1/payments/account_cycle_history/{account_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getaccountcyclehistory.md): Gets information of all retry cycles for an account in Configurable Payment Retry. ## Execute the invoice payment - [PUT /api/v1/payments/execute_invoice_payment/{invoice_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/putexecuteinvoicepayment.md): For all active retry cycles associated with an invoice, schedules the next payment retry attempt to occur in the next hourly payment processor run. ## Execute the debit memo payment - [PUT /api/v1/payments/execute_debit_memo_payment/{debit_memo_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/putexecutedebitmemopayment.md): For all active retry cycles associated with a debit memo, schedules the next payment retry attempt to occur in the next hourly payment processor run. ## Execute the account payments - [PUT /api/v1/payments/execute_account_payments/{account_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/putexecuteaccountpayments.md): For all active retry cycles associated with an account, schedules the next payment retry attempt to occur in the next hourly payment processor run. ## Execute payments - [POST /api/v1/payments/execute_payments](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/postexecutepayments.md): For all active retry cycles associated with the invoice, debit memo, and/or account IDs provided, schedules the next payment retry attempt to occur in the next hourly payment processor run. ## Remove an invoice from retry cycle - [PUT /api/v1/payments/remove_invoice_from_retry_cycle/{invoice_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/putremoveinovicefromcycle.md): Stops any active retry cycles associated with the invoice provided. ## Remove a debit memo from retry cycle - [PUT /api/v1/payments/remove_debit_memo_from_retry_cycle/{debit_memo_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/putremovedebitmemofromcycle.md): Stops any active retry cycles associated with the debit memo provided. ## Remove an account from retry cycle - [PUT /api/v1/payments/remove_account_from_retry_cycle/{account_id}](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/putremoveaccountfromcycle.md): Stops any active retry cycles associated with the account provided. ## Submit a payment to retry cycle - [POST /api/v1/payments/submit_failed_payment](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/postsubmitpaymenttocycle.md): This API request submits a failed payment to the Configurable Payment Retry retry cycle. The request adds the failed payment to the existing CPR retry cycle. If no CPR retry cycle exists, this request creates a new one and adds the failed payment. ## List the baseline metrics - [GET /api/v1/metrics/baseline](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getbaselinemetrics.md): Gets baseline metrics for Configurable Payment Retry, including Retry Success Rate and trend, Document Success Rate and trend, and Average Days Outstanding and trend. See Response Schema for detailed descriptions of the metrics. ## List the amount recovered metrics - [GET /api/v1/metrics/amount_recovered](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getamountrecovered.md): Gets the Amount Recovered metrics, including the total amount recovered and the amount recovered over the last 30 days broken down by currency. ## List the document success rate metrics by customer group - [GET /api/v1/metrics/customer_group_over_time](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getdocumentsuccessratebycustomergroup.md): Gets the Document Success Rate timeseries for each customer group over the past 6 months. The data of the current month will not be included. For example, if it is April 15th today, the data for April will not be included. Data for March and earlier will be shown. ## List the customer group metrics - [GET /api/v1/metrics/customer_group](https://developer.zuora.com/v1-api-reference/api/configurable-payment-retry/getcustomergroupmetrics.md): Gets the following metrics for each customer group that is in the active status: - Document Success Rate and trend - Retry Success Rate - Average Attempts